Page MenuHomePhabricator

Create a datepicker input widget
Closed, ResolvedPublic40 Story Points

Event Timeline

MarkTraceur assigned this task to matmarex.
MarkTraceur raised the priority of this task from to Normal.
MarkTraceur updated the task description. (Show Details)
MarkTraceur added projects: UploadWizard, OOUI.
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a project: Multimedia. · View Herald TranscriptApr 28 2015, 4:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.Apr 30 2015, 4:09 PM

I looked into this a bit and I will probably finally work on it this week.

A date picker requires a fair amount of internationalization (the messages for days, months, abbreviations of these, and various miscellaneous texts; but also the actual date formatting, if we want to do it properly; and translating digits into different alphabets), for which we'll probably want to use some library.

I'm not sure what's our take on adding dependencies to OOUI, so I'll probably implement this in MediaWiki for now, and we'll think how to move it to OOUI proper later. (Looks like the Moment.js library has everything we'll need, so this probably won't have a dependency on MediaWiki itself.)

matmarex raised the priority of this task from Normal to High.Jun 5 2015, 2:00 AM

Change 216375 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] CalendarWidget and DateInputWidget

https://gerrit.wikimedia.org/r/216375

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Jun 8 2015, 9:05 PM
matmarex lowered the priority of this task from High to Normal.Jul 20 2015, 7:25 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 20 2015, 7:25 PM
Jdforrester-WMF raised the priority of this task from Normal to High.Jul 21 2015, 4:53 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

matmarex lowered the priority of this task from "High" to "Normal".

No. This is currently the most significant thing blocking the entire team's quarterly objective. When is it going to be done?

Change 216375 merged by jenkins-bot:
Implement CalendarWidget and DateInputWidget

https://gerrit.wikimedia.org/r/216375

Jdforrester-WMF closed this task as Resolved.Jul 27 2015, 5:54 PM
Jdforrester-WMF edited projects, added VisualEditor; removed Patch-For-Review.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Aug 7 2015, 6:25 PM
Jdforrester-WMF moved this task from Doing to Done on the Multimedia board.Sep 14 2015, 11:26 PM